% !TeX program = xelatex

\documentclass{beamer}
\usetheme[progressbar=frametitle,numbering=fraction,sectionpage=none]{metropolis}           % Use metropolis theme
\title{Introduction to \LaTeX}
\subtitle{\texttt{AcubeSAT-SYS-OR-005}\\Verion 0.3}
\date{\today}
\author{Konstantinos Kanavouras}
\institute{AcubeSAT\\Aristotle Space \& Aeronautics Team}
\titlegraphic{\hfill\includegraphics[height=1.5cm]{lion.pdf}}

\usepackage{polyglossia}
\usepackage{csquotes}
%\usepackage{xgreek}
\setdefaultlanguage{english}
\setotherlanguage{greek}

\usepackage{fontspec}
\newfontfamily\examplefont[Script=Latin]{GFS Didot}

\usepackage{minted}
\usepackage{etoolbox}
\AtBeginEnvironment{minted}{\fontsize{10}{10}\selectfont}

\usepackage{mathtools}

\usepackage[normalem]{ulem}

\usepackage{environ}
\NewEnviron{lex}{%
	\colorbox{white}{\hspace{1ex}\parbox{.9\textwidth}{\examplefont\vspace{1ex}%
			\BODY
	\vspace{1ex}}\hspace{1ex}}%
}


\metroset{block=fill}
\setbeamertemplate{mini frame}{}
\setbeamertemplate{mini frame in current section}{}
\setbeamertemplate{mini frame in current subsection}{}
\setbeamercolor{section in head/foot}{fg=normal text.bg, bg=structure.fg}
\setbeamercolor{subsection in head/foot}{fg=normal text.bg, bg=structure.fg}
\makeatletter
\setbeamertemplate{footline}{%
	\begin{beamercolorbox}[colsep=1.5pt]{upper separation line head}
	\end{beamercolorbox}
	\begin{beamercolorbox}{section in head/foot}
		\insertsectionnavigationhorizontal{\paperwidth}{}{\hskip0pt plus1filll}\vskip3pt%
	\end{beamercolorbox}%
	\begin{beamercolorbox}[colsep=1.5pt]{lower separation line head}
	\end{beamercolorbox}
}
\makeatother

\begin{document}
  \maketitle
  \section{What is \LaTeX?}
  \begin{frame}[t]{What is \LaTeX ?}
    \begin{itemize}
    	\item LaTeX (LAH-teh or LAY-teh) is a \textbf{tool}
    \end{itemize}
    \vspace{2cm}
    \begin{columns}
    	\column{.45\linewidth}
    	\centering
    	\only<1>{\includegraphics[height=.4\textheight]{windows}}
    	\only<2>{\includegraphics[height=.4\textheight]{photoshop}}
    	\only<3>{\includegraphics[height=.4\textheight]{slack}}
    	\only<4>{\includegraphics[height=.4\textheight]{matlab}}
    	\only<5>{\includegraphics[height=.15\textheight]{stk}}
    	\only<6>{\includegraphics[height=.4\textheight]{word}}
    	\column{.1\linewidth}
    	\centering
    	{\Huge vs}
    	\column{.45\linewidth}
    	\centering
    	\only<1>{\includegraphics[height=.4\textheight]{linux}}
    	\only<2>{\includegraphics[height=.4\textheight]{correll}}
    	\only<3>{\includegraphics[height=.4\textheight]{mattermost}}
    	\only<4>{\includegraphics[height=.35\textheight]{stone}}
    	\only<5>{\includegraphics[height=.4\textheight]{gmat}}
    	\only<6>{\includegraphics[height=.4\textheight]{lion}}
    \end{columns}
  \end{frame}

  \begin{frame}[fragile]{But what is \LaTeX?}
    \begin{itemize}
  	\item A \textbf{typesetting} system
  	\begin{itemize}
  		\item Like Microsoft Word
  		\item Not WYSIWYG \onslide<2>{(What You See Is What You Get)}
  	\end{itemize}
    \end{itemize}
    
    \begin{example}
    	\begin{columns}
    		\column{.4\textwidth}
    		\begin{minted}[numbersep=5pt,
    			gobble=2]{latex}
  \begin{document}
    Toast is the most
    \textbf{exciting} piece of 
    software in the world.
    It is amazing how toast 
    is so good.

    The reason why \emph{toast}
    and not \emph{bread} has
    been selected is, of course,
    \emph{cheese}.
  \end{document}
    		\end{minted}
    		\hspace{5pt}
    		\column{.4\textwidth}
    		\colorbox{white}{\footnotesize\parbox{\textwidth}{\examplefont
    				\hspace{1em}Toast is the most
    			\textbf{exciting} piece of 
    			software in the world.
    			It is amazing how toast 
    			is so good.
    			
    			\vspace{0.5cm}
    			
    			\hspace{1em}The reason why \emph{toast}
    			and not \emph{bread} has been
    			selected is, of course,
    			\emph{cheese}.}}
    	\end{columns}
    \end{example}
  \end{frame}

  \begin{frame}{Examples}
    \centering
  	\only<1>{\includegraphics[height=.9\textheight]{example1}}
  	\only<2>{\includegraphics[width=.8\textwidth]{example2}}
  	\only<3>{\includegraphics[width=\textwidth]{example3}\vfill
  		\begin{flushright}
  			{\tiny\color{gray}From \url{tex.stackexchange.com/questions/1319/showcase-of-beautiful-typography-done-in-tex-friends}}
  	\end{flushright}}
    \only<4>{
    	\begin{columns}
    		\column{.5\textwidth}
    		\centering
    		\includegraphics[width=\textwidth]{report1}\\
    		{\tiny GPS report by Dimitris Stoupis}
    		
    		\column{.5\textwidth}
    		\centering
    		\includegraphics[width=\textwidth]{report2}\\
    		{\tiny LDPC report by Karakosta, et. al}
    	\end{columns}
    }
  \end{frame}

  \begin{frame}{Pros}
  	\begin{itemize}
  		\item Consistency
  		\begin{itemize}
  			\item Not possible to make accidental layouting and formatting errors!
  			\item Separates layout from content
  		\end{itemize}
  		\item Easy to make beautiful and well-formatted documents
  		\item Packages
  		\item Maths
  		\item Proselint
  		\item \href{https://tex.stackexchange.com/}{\TeX~Stack Exchange}
  	\end{itemize}
  \end{frame}

  \begin{frame}[fragile]{Pros}
      \begin{itemize}
       	\item \textbf{This presentation is made in \LaTeX!}
      \end{itemize}
  
  \begin{minted}[numbersep=5pt,gobble=2]{latex}
% \begin{frame}{Pros}
    \begin{itemize}
      \item Consistency
      \begin{itemize}
        \item Not possible to make accidental layouting
              and formatting errors!
        \item Separates layout from content
      \end{itemize}
      \item Easy to make beautiful and well-formatted documents
      \item Packages
      \item Maths
      \item Proselint
      \item \href{https://tex.stackexchange.com/}{%
            \TeX~Stack Exchange}
    \end{itemize}
% \end{frame}
  \end{minted}
  \end{frame}

  \begin{frame}{Cons}
  	\begin{itemize}
  		\item\only<1>{Hard to use}\only<2-3>{\sout{Hard to use} Easy to learn, but hard for specific stuff}
  		\item{Floating images}
  		\onslide<3>{\begin{itemize}
  				\item Use \texttt{minipage}
  		\end{itemize}}
  	    \item Tables are hard
  	    \onslide<3>{\begin{itemize}
  	    		\item \url{https://www.tablesgenerator.com/}
  	    \end{itemize}}
        \item Reviews \& text suggestions
        \onslide<3>{\begin{itemize}
        		\item Gitlab
        \end{itemize}}
        \item Not WYSIWYG
        \onslide<3>{\begin{itemize}
        		\item Enable \emph{auto-compile}
        		\item \url{https://www.codecogs.com/latex/eqneditor.php}
        		\item kTikz
        \end{itemize}}
        \item Weird errors
        \onslide<3>{\begin{itemize}
    		\item Google \& ask!
        \end{itemize}}
  	\end{itemize}
  \end{frame}

\begin{frame}{LaTeX vs Word}
\structure{How to do something in word?}
\begin{itemize}
	\item \alert{Step 1:} Search for the button
	\item \alert{Step 2:} Click the button
\end{itemize}
\vfill
\structure{How to do something in \LaTeX?}
\begin{itemize}
	\item \alert{Step 1:} Google it
	\item \alert{Step 2:} Copy \& paste the code
\end{itemize}
\vfill
\textellipsis or ask in \href{https://mm.helit.org/asat-cubesat/channels/documentation}{\alert{\textasciitilde Documentation!}}
\end{frame}

\begin{frame}{Lesson 0: Overleaf}
\centering
\includegraphics[width=\textwidth]{overleaf}
{\large\url{https://www.overleaf.com/4912832449rppykjzszknm}}
\end{frame}

\begin{frame}[fragile]{Lesson 0{$^1/_2$}: Basic Document Structure}
\begin{minted}{latex}
\documentclass[11pt,a4paper]{article}

\begin{document}
Hello world!
\end{document}
\end{minted}
\end{frame}
\begin{frame}[fragile]{Lesson 0{$^1/_2$}: Basic Document Structure}
\Large
\begin{lex}
	Hello world!
\end{lex}
\end{frame}
\begin{frame}{Lesson 0{$^1/_2$}: Basic Document Structure}
\begin{alertblock}{Word of warning}
	You have to type stuff \textbf{exactly} as you see it!
	
	\begin{tabular}{lcl}
		\mintinline{latex}{\textbf} & is \textbf{different} from & \mintinline{latex}{/textbf}\\[1ex]
		\texttt{\{} &is \textbf{different} from &\texttt{[}
	\end{tabular}

\end{alertblock}
\end{frame}


\section{Paragraphs}
\begin{frame}[fragile]{Lesson 1: Paragraphs}
\begin{columns}
	\column{.5\textwidth}
	\begin{minted}{latex}
Lorem ipsum dolor sit amet,
euismod noluisse ne vel,
quaeque intellegam ius eu,
aliquam dolorum complectitur
ea cum. Meis postea accumsan
in nec. Quo id ferri ceteros,
te mei aperiam fierent recusabo.

Assum elitr persius vim
ad, an duo suas veri ullamcorper.
Mea unum lorem omittam eu.
Nam cu ferri consequat
elaboraret, debet repudiare
conclusionemque nec in.
	\end{minted}
	
	\column{.5\textwidth}
	\begin{lex}{\tiny
	\hspace{1em}Lorem ipsum dolor sit amet, euismod noluisse
	ne vel, quaeque intellegam ius eu, aliquam
	dolorum complectitur ea cum. Meis postea accumsan
	in nec. Quo id ferri ceteros,
	te mei aperiam fierent recusabo.\\[1ex]
	\hspace*{1em}Assum elitr persius vim ad, an duo suas
	veri ullamcorper. Mea unum lorem omittam
	eu. Nam cu ferri consequat elaboraret,
	debet repudiare conclusionemque nec in.}
	\end{lex}
\end{columns}
\end{frame}

\section{Typography}
\begin{frame}[fragile]{Lesson 2: Typography}
\begin{columns}
	\column{.5\textwidth}
	\begin{minted}{latex}
This text is \textbf{bold}.

This text is \emph{italic}.

This text is for
\texttt{parameters} and
\texttt{code}.
	\end{minted}
	
	\column{.5\textwidth}
	\begin{lex}This text is \textbf{bold}.
			
			This text is \emph{italic}.
			
			This text is for \texttt{parameters} and \texttt{code}.
	\end{lex}
\end{columns}
\end{frame}

\begin{frame}[fragile]{Lesson 2: Typography sizes}
\vspace{0.5ex}
\centering
\begin{columns}
	\column{.5\textwidth}
    \begin{minted}{latex}
    This text is {\Large big}.
    \end{minted}
    \column{.5\textwidth}
    \begin{lex}
    	This text is {\Large big}.
    \end{lex}
\end{columns}

\begin{tabular}{|c|c|}
	\hline
	\texttt{\textbackslash tiny} & {\tiny toast}\\ \hline
	\texttt{\textbackslash scriptsize} & {\scriptsize toast}\\ \hline
	\texttt{\textbackslash footnotesize} & {\footnotesize toast}\\ \hline
	\texttt{\textbackslash small} & {\small toast}\\ \hline
	\texttt{\textbackslash normalsize} & {\normalsize toast}\\ \hline
	\texttt{\textbackslash large} & {\large toast}\\ \hline
	\texttt{\textbackslash Large} & {\Large toast}\\ \hline
	\texttt{\textbackslash LARGE} & {\LARGE toast}\\ \hline
	\texttt{\textbackslash huge} & {\huge toast}\\ \hline
	\texttt{\textbackslash Huge} & {\Huge toast}\\ \hline
\end{tabular}

\onslide<2>{\begin{center}\alert{Don't} use sizes unless necessary!\end{center}}
\end{frame}

\begin{frame}{Lesson 2: Typography (+ some formatting)}
	\LARGE
	If you start a new job\textbf{,} you will have a great \textbf{(}but tiring\textbf{)} experience\textbf{.} Trust me!
\end{frame}

\begin{frame}{Lesson 2: Typography (+ some formatting)}
\Large
Write \texttt{\textbackslash\&} instead of \texttt{\&}

Write \texttt{\textbackslash\_} instead of \texttt{\_}

Write \texttt{\textbackslash\#} instead of \texttt{\#}

Write \texttt{\textbackslash textbackslash} instead of \texttt{\textbackslash}

\normalsize Write \texttt{\textbackslash \{} instead of \texttt{\{}

Write \texttt{\textbackslash \}} instead of \texttt{\}}
\end{frame}

\section{Lists}
\begin{frame}[fragile]{Lesson 3: Lists}
\begin{columns}
	\column{.5\textwidth}
	\begin{minted}{latex}
\begin{itemize}
    \item Jacket
    \item Toast
    \item Excitement
    \item Microphone
\end{itemize}

\begin{enumerate}
\item Open the door
\item Turn on the lights
\item Check the database
\end{enumerate}
	\end{minted}
	
	\column{.5\textwidth}
	\begin{lex}{\begin{itemize}
				\item Jacket
				\item Toast
				\item Excitement
				\item Microphone
			\end{itemize}
			
			\begin{enumerate}
				\item Open the door
				\item Turn on the lights
				\item Check the database
		\end{enumerate}}
	\end{lex}
\end{columns}
\end{frame}

\begin{frame}[fragile]{Lesson 3: Nested Lists}
\begin{columns}
	\column{.5\textwidth}
	\begin{minted}{latex}
    \begin{itemize}
      \item Jacket
      \item Toast
      \begin{itemize}
         \item Bread
         \item Cotton
         \item Cheese
       \end{itemize}
     \item Excitement
     \begin{enumerate}
       \item Breathe
       \item Find something
             exciting
       \begin{itemize}
         \item Exciting doors
         \item Exciting colours
       \end{itemize}
       \item Look at it!
     \end{enumerate}
    \end{itemize}
	\end{minted}
	
	\column{.5\textwidth}
	\begin{lex}{\begin{itemize}
			\item Jacket
				\item Toast
				\begin{itemize}
					\item Bread
					\item Cotton
					\item Cheese
				\end{itemize}
				\item Excitement
				\begin{enumerate}
					\item Breathe
					\item Find something exciting
					\begin{itemize}
						\item Exciting doors
						\item Exciting colours
					\end{itemize}
					\item Look at it!
				\end{enumerate}
	\end{itemize}}
	\end{lex}
\end{columns}
\end{frame}

\section{Sections}
\begin{frame}[fragile]{Lesson 4: Sections}
\begin{columns}
	\column{.5\textwidth}
	\begin{minted}{latex}
\tableofcontents
	
\section{Introduction}
This is introduction.

\subsection{Some maths here}
Maths is important.

\subsection{The results}
Results are also ok.

\subsubsection{Science}
Some sciency stuff.

\paragraph{It goes deeper!}
Toast.

\subparagraph{The last one}
I promise!
	\end{minted}
	
	\column{.5\textwidth}
	\begin{lex}{	\textbf{\Large1\quad Introduction}\hspace{0pt}\\
			This is introduction.\vspace{1ex}
			
			\textbf{\large1.1\quad Some maths here}\hspace{0pt}\\
			Maths is important.\vspace{1ex}
			
			\textbf{\large1.2\quad The results}\hspace{0pt}\\
			Results are also ok.\vspace{1ex}
			
			\textbf{\large1.2.1\quad Science}\hspace{0pt}\\
			Some sciency stuff.\vspace{1ex}
			
			\textbf{It goes deeper!}\hspace{0pt}
			Toast.\vspace{1ex}
		
		    \hspace{4pt}\textbf{The last one}\hspace{0pt}
		    I promise!}
	\end{lex}
\end{columns}
\end{frame}

\section{Hyperlinks}
\begin{frame}[fragile]{Lesson 5: Hyperlinks}
	\begin{minted}{latex}
\usepackage{hyperref}

% ...
	
\url{https://gitlab.com/acubesat}
	
\href{https://gitlab.com/acubesat}{Our Gitlab page!}
	\end{minted}
	
\onslide<2>{
These links should be \textbf{clickable}!

\begin{alertblock}{Note}
	\mintinline{latex}{\usepackage{...}} should \alert{always} be put \alert{\emph{before}}
	\mintinline{latex}{\begin{document}}
\end{alertblock}

Make sure you have \alert{no errors}!
}
\end{frame}

\section{Maths}
\begin{frame}[fragile]{Lesson 6: Maths}
\begin{columns}
	\column{.5\textwidth}
	\begin{minted}{latex}
Some serious stuff, because
usually \( x^2 = 5x + 2 \).
	
This is more serious:
\[
    x^3 + x^2 +
    5 \cdot \infty = \infty
\]
	
DO NOT KOPI:
\begin{equation}
    x^4 + e^\pi =
    \int_0^{22} \sin(7x) dx
\end{equation}
	\end{minted}
	
	\column{.5\textwidth}
	\begin{lex}{Some serious stuff,
			because usually \( x^2 = 5x + 2 \).
			
			This is more serious:
			\[
			x^3 + x^2 + 5\cdot\infty = \infty
			\]
			
			Don't copy this presentation:
			\begin{equation}
			x^4 + e^\pi = \int_0^{22} \sin(7x) dx
			\end{equation}
	}
	\end{lex}
\end{columns}
\end{frame}

\begin{frame}[fragile]{Lesson 6: Maths}
\begin{columns}
	\column{.5\textwidth}
	\begin{minted}{latex}
\usepackage{mathtools}
% ...
\begin{gather}
  \frac{5x}{\log x}
  \\
  \sin(5x^{2^x})
  \\
  \sin \left( 5x^{2^x} \right)
  \\
  \forall x \in X, \quad \exists y
  \\
  \leq \geq < >
  \\
  \alpha, \Alpha, \beta, \phi
  \\
  \lim\limits_{x \to \infty}
  \exp(-x) = 0
\end{gather}
	\end{minted}
	
	\column{.5\textwidth}
	\begin{lex}{\begin{gather}
			\frac{5x}{\log x}
			\\
			\sin(5x^{2^x})
			\\
			\sin \left( 5x^{2^x} \right)
			\\
			\forall x \in X, \quad \exists y
			\\
			\leq\ \geq\ <\ >
			\\
			\alpha, \Omega, \beta, \phi
			\\
			\lim\limits_{x \to \infty}
			\exp(-x) = 0
			\end{gather}
		}
	\end{lex}
\end{columns}
\end{frame}

\begin{frame}{Lesson 6: Maths}
\centering
\textbf{Note}: Google everything!
\begin{itemize}
	\item Commands like \mintinline{latex}{\infty} or \mintinline{latex}{\int} might not be obvious at first
	\item \alert{You don't need to learn by heart!}
	\item Always Google/DuckDuckGo your questions!
	\begin{itemize}
		\item \emph{How do I make text bold?}
		\item \emph{How do I write a big sigma?}
		\item \emph{latex how to equation number}
		\item \emph{latex text color}
	\end{itemize}
\end{itemize}
\end{frame}

\begin{frame}[fragile]{Lesson 6: Maths \textemdash~ Note on scripts}
\centering
\begin{block}{Scripts on maths}
	\begin{columns}
		\column{.4\textwidth}
		\begin{minted}{latex}
\( x^2 + x_e + a_e^o \)
		\end{minted}
		\column{.4\textwidth}
		\vspace{5pt}
		\begin{lex}
			\centering
			\( x^2 + x_e + a_e^o \)
		\end{lex}
	\end{columns}
\end{block}
\vfill
\begin{block}{Scripts on \alert{text}}
	\begin{columns}
		\column{.4\textwidth}
		\begin{minted}{latex}
I use the
I\textsuperscript{2}C
protocol. It's connected
to pin P7\textsubscript{SDA}
of the controller.
		\end{minted}
		\column{.4\textwidth}
		\vspace{5pt}
		\begin{lex}
I use the
I\textsuperscript{2}C
protocol. It's connected
to pin P7\textsubscript{SDA}
of the controller.
		\end{lex}
	\end{columns}
\end{block}
\end{frame}

\section{Images}
\begin{frame}[fragile]{Lesson 7: Images}

	\begin{minted}{latex}
\usepackage{graphicx}

% ...

\begin{figure}[h]
    \centering
    \includegraphics[width=.5\linewidth]{image.png}
    \caption{This is an image}
\end{figure}
	\end{minted}
	
	\begin{lex}{
		\begin{center}
		\includegraphics[width=.2\textwidth]{lion}\\
		\textbf{Figure 1}: \emph{This is an image}
		\end{center}
	}
	\end{lex}

\end{frame}

\section{Tables}
\begin{frame}[fragile]{Lesson 8: Tables}

\begin{minted}{latex}
\begin{table}[h]
\centering
  \begin{tabular}{|l|c|c|}
    \hline
    \textbf{a} & \textbf{b} & \textbf{c} \\ \hline
    1   &   4   &   3  \\
    32  &  484  &  233 \\
    \hline
  \end{tabular}
  \caption{This is a table}
\end{table}
\end{minted}

\begin{columns}
	\column{.5\textwidth}
	\begin{lex}{
			\begin{table}[h]
				\centering
				\begin{tabular}{|l|c|c|}
					\hline
					\textbf{a} & \textbf{b} & \textbf{c} \\ \hline
					1   &   4   &   3  \\
					32  &  484  &  233 \\
					\hline
				\end{tabular}
				\caption{This is a table}
			\end{table}
		}
	\end{lex}
	\column{.5\textwidth}
	\onslide<2>{%
		\alert{Tables are hard!} :(
		
		\vspace{2ex}
		
    	\textbf{Note:}\\ Use \href{https://www.tablesgenerator.com/}{\texttt{tablesgenerator.com}}
    }
\end{columns}
\end{frame}

\section{Links}
\begin{frame}{Lesson 9: Links}
\begin{itemize}
	\item \alert{Step 1}: \mintinline{latex}{\label} your object
	\item<2-> \alert{Step 2}: \textbf{Use} your object!
	\begin{itemize}
		\item<3-> \mintinline{latex}{\ref} $\rightarrow$ \alert{3.1}
		\item<4-> \mintinline{latex}{\autoref} $\rightarrow$ \alert{Figure 3.1}
		\item<5-> \mintinline{latex}{\pageref} $\rightarrow${\color{gray!70!white}The figure on page } \alert{58}
	\end{itemize}
\end{itemize}
\end{frame}

\begin{frame}[fragile]{Lesson 9: Links}
\begin{columns}
	\column{.5\textwidth}
	\begin{minted}{latex}
\section{Introduction}
\label{sec:introduc}

\begin{equation}
  \label{eq:maths}
  s^o m_e c0mpl\epsilon
\end{equation}

\begin{figure}
  % ...
  \caption{...}
  \label{fig:important}
\end{figure}

As we can see in
\autoref{sec:introduc},
from \autoref{eq:maths}
it is obvious that
\autoref{fig:important}...
	\end{minted}
	
	\column{.5\textwidth}
	\begin{lex}
		As we can see in \alert{Section 2}, from \alert{(2)} it is obvious that \alert{Figure 3.1} is wrong.
	\end{lex}
\end{columns}
\end{frame}

\section{Fin}
\begin{frame}{More cool stuff}
	\begin{itemize}
		\item Todo notes
		\item \textbf{Bibliography}
		\item Acronyms
		\item \LaTeX~CubeSat Documentation Template
	\end{itemize}
\end{frame}

\begin{frame}{Documentation resources}
There are \alert{thousands} of things you can do, and \alert{hundreds} of resources to search!

\begin{itemize}
	\item Wikibooks: \url{https://en.wikibooks.org/wiki/LaTeX/}
	\item Overleaf: \url{https://www.overleaf.com/learn}
\end{itemize}

Ask \alert{@kongr45gpen} or anywhere else!
\end{frame}

\end{document}


